%define upstream_name    Dist-Zilla-Plugin-PkgVersion-Block
%define upstream_version 0.0107

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PkgVersion for block packages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
Provides: perl(Dist::Zilla::Plugin::PkgVersion::Block)
BuildArch: noarch

%description
This plugin turns:

    package My::Package {
        ...
    }

into:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.700-3.mga6
+ Revision: 1026488
- Rebuild for perl 5.22.2

* Sat Apr 09 2016 shlomif <shlomif> 0.10.700-2.mga6
+ Revision: 999846
- Add provides

* Sat Apr 09 2016 shlomif <shlomif> 0.10.700-1.mga6
+ Revision: 999585
- Add missing BR
- imported package perl-Dist-Zilla-Plugin-PkgVersion-Block


* Sat Apr 09 2016 cpan2dist 0.0107-1mga
- initial mageia release, generated with cpan2dist
